com.google.cloud.dataflow.sdk.transforms

## Class KvSwap<K,V>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PCollection<KV<K,V>>,PCollection<KV<V,K>>>
  - - com.google.cloud.dataflow.sdk.transforms.KvSwap<K,V>

Type Parameters:
  `K` - the type of the keys in the input `PCollection` and the values in the output `PCollection`
  `V` - the type of the values in the input `PCollection` and the keys in the output `PCollection`

All Implemented Interfaces:
  HasDisplayData, Serializable

    public class KvSwap<K,V>
    extends PTransform<PCollection<KV<K,V>>,PCollection<KV<V,K>>>

`KvSwap<K, V>` takes a `PCollection<KV<K, V>>` and returns a `PCollection<KV<V, K>>`, where all the keys and values have been swapped.

Example of use:

     PCollection<String, Long> wordsToCounts = ...;
     PCollection<Long, String> countsToWords =
         wordToCounts.apply(KvSwap.<String, Long>create());

Each output element has the same timestamp and is in the same windows as its corresponding input element, and the output `PCollection` has the same `WindowFn` associated with it as the input.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PCollection<KV<V,K>>` `apply(PCollection<KV<K,V>> in)` Applies this `PTransform` on the given `InputT`, and returns its `Output`.
`static <K,V> KvSwap<K,V>` `create()` Returns a `KvSwap<K, V>` `PTransform`.

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName, populateDisplayData, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static <K,V> KvSwap<K,V> create()

Returns a `KvSwap<K, V>` `PTransform`.

Type Parameters:
  `K` - the type of the keys in the input `PCollection` and the values in the output `PCollection`
  `V` - the type of the values in the input `PCollection` and the keys in the output `PCollection`

#### apply

    public PCollection<KV<V,K>> apply(PCollection<KV<K,V>> in)

Description copied from class: `PTransform`
Applies this `PTransform` on the given `InputT`, and returns its `Output`.

Composite transforms, which are defined in terms of other transforms, should return the output of one of the composed transforms. Non-composite transforms, which do not apply any transforms internally, should return a new unbound output and register evaluators (via backend-specific registration methods).

The default implementation throws an exception. A derived class must either implement apply, or else each runner must supply a custom implementation via `PipelineRunner.apply(com.google.cloud.dataflow.sdk.transforms.PTransform<InputT, OutputT>, InputT)`.

Overrides:
  `apply` in class `PTransform<PCollection<KV<K,V>>,PCollection<KV<V,K>>>`